main {
    background-color: var(--border-light);
    color: var(--dark-forest-green);
}

/* Hero Section */
.hero-farm-updates {
    padding: 50px 20px;
    text-align: center;
    border-top: 1px solid #ccc;
}

.hero-content {
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

main section {
    padding: 0;
}

.product-details {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    padding: 0px 5% 30px;
}

.product-img {
    width: 28%;
}

.product-info {
    width: 65%;
}

.product-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.product-info .title {
    font-weight: 600;
    font-size: 1.5rem;
    letter-spacing: 2px;
}

.product-info .rating {
    color: var(--dark-forest-green);
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.product-info .rating svg {
    height: 20px;
    width: 20px;
    margin-right: 5px;
}

.total-reviews {
    font-size: .854rem;
    color: var(--dark-forest-green);
    letter-spacing: 2px;
    text-transform: capitalize;
    cursor: pointer;
}

.total-reviews:hover {
    font-weight: 600;
}

.product-info .price {
    display: block;
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 10px;
    margin-top: 15px;
}

.product-policy {
    border-top: 1px solid #ccc;
    padding-top: 10px;
}

/* product reviews */
.product-reviews-box {
    position: fixed;
    top: 0;
    bottom: 0;  
    z-index: 9999;
    transition: 0.3s;
    transform: scale(1);
    background-color: hsl(150 30% 12%/ .4);
    width: 100%;
    height: 100%;
    display: none;
    align-items: center;
    justify-content: center;
}

.review-content {
    background-color: var(--bg-white);
    border-radius: 10px;
    width: 500px;
}

.product-review-header {
    display: flex;
    align-items: top;
    justify-content: space-between;
    padding: 10px;
    margin: 10px;
    border-bottom: 1px solid #ddd;
}

.product-review-header h2 {
    font-size: 1.5rem;
    font-weight: normal;
    letter-spacing: 1px;
    text-transform: capitalize;
    margin-bottom: 0px;
}

.product-review-header svg {
    height: 20px;
    width: 20px;
    cursor: pointer;
}

.product-review-grid {
    padding: 10px;
    height: 150px;
    overflow-x: auto;
}

.review-item {
    border-radius: 10px;
}

.review-item:not(:last-child) {
    margin-bottom: 20px;
    border-bottom: 1px dotted #ccc;
}

.review-header {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.review-image {
    height: 100%;
    margin-right: 10px;
}

.review-image p {
    background-color: var(--dark-forest-green);
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: capitalize;
    color: var(--bg-white);
    border-radius: 50%;
    height: 40px;
    width: 40px;
    font-weight: 600;
    font-size: 1rem;
    margin-bottom: 0px;
}

.review-user-name h3 {
    font-weight: normal;
    font-size: .754rem;
    letter-spacing: 2px;
    margin-bottom: 0px;
}

.review-user-name span {
    color: var(--text-muted);
    font-size: .854rem;
}

.review-desc {
    padding: 10px;
    color: var(--text-muted);
}

.review-desc p {
    margin-bottom: 5px;
    font-size: .954rem;
    color: var(--text-muted);
    display: flex;
    align-items: center;
}

.product-review-comment {
    padding: 0px 10px;
    border-radius: 10px;
}

.review-form {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding-top: 10px;
}

.review-form textarea {
    height: 100px;
    resize: none;
    background-color: var(--bg-white);
    border: none;
    outline: none;
    border-radius: 5px;
    padding: 10px;
    font-size: 1rem;
    border: 0.6px solid #ccc;
}

.review-form textarea::placeholder {
    font-size: .854rem;
    text-transform: capitalize;
    color: #ccc;
}

.review-form button {
    padding: 12px 50px;
    background: var(--dark-forest-green);
    border: none;
    font-size: 1rem;
    color: var(--bg-white);
    cursor: pointer;
    margin: 20px 0;
    border-radius: 10px;
}
